import { writable } from 'svelte/store';

function createMyStore() {
  const { subscribe, set, update } = writable(null);

  return {
    subscribe,
    update: (res_my, cb=null) => {
      if (res_my.status === 200) {
        res_my.json().then((my) => {
          for (let k in my.exercices) {
            my.exercices[k].id = k;
          }

          update((m) => (Object.assign(m?m:{}, my)));

          if (cb) {
            cb(my);
          }
        });
      } else if (res_my.status === 404) {
        update((m) => (null));
      }
    },
  };
}

export const my = createMyStore();
